summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKrzysztof Pawlik <nelchael@gentoo.org>2012-03-26 16:24:31 +0000
committerKrzysztof Pawlik <nelchael@gentoo.org>2012-03-26 16:24:31 +0000
commitd39cb2b19179cda7cfe02164ed71d870a6aaad32 (patch)
tree4a6854c9664ae371c5bdd1bd82cba03c19f21186 /eclass/python-distutils-ng.eclass
parentudev rules moved to /lib/udev/rules.d (diff)
downloadhistorical-d39cb2b19179cda7cfe02164ed71d870a6aaad32.tar.gz
historical-d39cb2b19179cda7cfe02164ed71d870a6aaad32.tar.bz2
historical-d39cb2b19179cda7cfe02164ed71d870a6aaad32.zip
Include only valid values in REQUIRED_USE.
Diffstat (limited to 'eclass/python-distutils-ng.eclass')
-rw-r--r--eclass/python-distutils-ng.eclass12
1 files changed, 6 insertions, 6 deletions
diff --git a/eclass/python-distutils-ng.eclass b/eclass/python-distutils-ng.eclass
index 525af6fd9963..0d0b0020c771 100644
--- a/eclass/python-distutils-ng.eclass
+++ b/eclass/python-distutils-ng.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-distutils-ng.eclass,v 1.2 2012/03/26 06:12:53 jlec Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-distutils-ng.eclass,v 1.3 2012/03/26 16:24:31 nelchael Exp $
# @ECLASS: python-distutils-ng
# @MAINTAINER:
@@ -105,11 +105,11 @@ _python-distutils-ng_get_binary_for_implementation() {
esac
}
-required_use_str=" || (
- python_targets_python2_5 python_targets_python2_6 python_targets_python2_7
- python_targets_python3_1 python_targets_python3_2
- python_targets_jython2_5
- python_targets_pypy1_7 python_targets_pypy1_8 )"
+required_use_str=""
+for impl in ${PYTHON_COMPAT}; do
+ required_use_str="${required_use_str} python_targets_${impl}"
+done
+required_use_str=" || ( ${required_use_str} )"
if [[ "${PYTHON_OPTIONAL}" = "yes" ]]; then
IUSE+="python"
REQUIRED_USE+=" python? ( ${required_use_str} )"